Gecode::Int::ValSet::Ranges Class Reference

Iterator over ranges. More...

`#include <val-set.hh>`

## Constructors and initialization

| Ranges (const ValSet &vs)
| Initialize.

## Iteration control

bool | operator() (void) const
| Test whether iterator is still at a range or done.
void | operator++ (void)
| Move iterator to next range (if possible).

## Range access

int | min (void) const
| Return smallest value of range.
int | max (void) const
| Return largest value of range.
unsigned int | width (void) const
| Return width of range (distance between minimum and maximum).

## Detailed Description

Iterator over ranges.

Definition at line 78 of file val-set.hh.

## Constructor & Destructor Documentation

## Ranges()

Gecode::Int::ValSet::Ranges::Ranges | ( | const ValSet & | vs | ) |

inline

Initialize.

Definition at line 132 of file val-set.hpp.

## Member Function Documentation

## operator()()

bool Gecode::Int::ValSet::Ranges::operator() | ( | void |  | ) | const

inline

Test whether iterator is still at a range or done.

Definition at line 136 of file val-set.hpp.

## operator++()

void Gecode::Int::ValSet::Ranges::operator++ | ( | void |  | ) |

inline

Move iterator to next range (if possible).

Definition at line 141 of file val-set.hpp.

## min()

int Gecode::Int::ValSet::Ranges::min | ( | void |  | ) | const

inline

Return smallest value of range.

Definition at line 146 of file val-set.hpp.

## max()

int Gecode::Int::ValSet::Ranges::max | ( | void |  | ) | const

inline

Return largest value of range.

Definition at line 150 of file val-set.hpp.

## width()

unsigned int Gecode::Int::ValSet::Ranges::width | ( | void |  | ) | const

inline

Return width of range (distance between minimum and maximum).

Definition at line 155 of file val-set.hpp.

The documentation for this class was generated from the following files:

- gecode/int/val-set.hh
- gecode/int/val-set.hpp